##Additional Credit:

Furok and Grim Age mod team created the original models and textures used in this mod, I just re-rigged the model and did some other tweaks for use in Valheim. Grim Age is a mod based on Warhammer Fantasy, and as such should be considered a Derivative Work to which Games Workshop holds copyright to. Games Workshop's copyright thus extends to the models and textures used in this mod.

GoldenJude for Blacksmith's Tools and significant rigging help

zarboz for some help with some rigging adjustments

blaxxun for ItemManager/ServerSync

##Description:

Adds Chaos Warrior Armor as a new standalone set of armor to the game. Armor names and descriptions are kept fairly vague and don't outright refer to anything from Warhammer lore, if that matters to you. 

Low-res texture version available in optional files on Nexus. 

Recipes can be viewed and adjusted in ReepusDeepusDelmeepus4902761.ChaosArmor.cfg.

![](https://cdn.discordapp.com/attachments/475671796893351937/919777868559581284/Valheim_Screenshot_2021.12.12_-_21.28.18.88.png)

![](https://cdn.discordapp.com/attachments/852523434818666506/905654328268816415/Valheim_Screenshot_2021.11.03_-_23.04.01.21.png)

##Full Equipment List

(T1 Bronze Tier, 4 quality levels)

Half plate harness (Prefab name T1ChaosPlateArmor)
  
Tusk plate helm (Prefab name T1ChaosPlateHelm)
  
Battered plate leggings (Prefab name T1ChaosPlateLegs)

(T2/3, 6 quality levels)

Three quarters plate harness (Prefab name T2ChaosPlateArmor)

Fanged plate helm (Prefab name T2ChaosPlateHelm)

Refurbished plate leggings (Prefab name T2ChaosPlateLegs)


(Final Tier, 8 quality levels - only armor before V5)

Uncanny plate harness (Prefab name ChaosPlateArmorBody)

Uncanny plate helm (Prefab name ChaosPlateHelm)

Warped plate helm (Prefab name ChaosPlateHelmAlt)

Uncanny plate leggings (Prefab name ChaosPlateLegs)


##Changelog:

8.0.0
- removed JVL dependency, switched to blaxxun's ItemManager and ServerSync
	- stamina and health regen related bonus effects on final tier of armor have been removed
	- some config settings are no longer available - delete your old cfg and json files
- slightly reduced texture quality to slim down file size

7.1.0
- unload assetbundle after mod initialization, should no longer cause Unity crash on game exit

7.0.0
- added alternate final tier helm with mostly same stats as Uncanny plate helm
	- just an altered version of the mesh with a face grill attached
- translations moved from being hardcoded to a json file, side-loaded via Jotunn

6.0.5
- removed dependency on BoneReorder function from JVL/Blacksmith's Tools - model was re-rigged onto the correct armature

6.0.4
- plugin ver. still 6.0.2, version bump just for dependency updates
- adding Thunderstore version of Blacksmith's Tools as dependency

6.0.3
- plugin ver. still 6.0.2, version bump from before was purely for dependency string updates
- removed blacksmith's tools config files; body hiding configuration is handled in-code now
- fixed minor issue with easter egg Reepus/Deepus/Delmeepus set regarding damage modifiers list; set to empty instead of null
- removed equip message for final tier chaos armor, just a personal judgement call
- updated bepinex dependency version
- some minor tweaks to config options and upper limits

6.0.2
- just updating dependency versions to latest; verified basic functionality still works with H&H 

6.0.1
- minor tweak made to ensure armor renders properly in Vulkan (was previously translucent)

6.0.0
- moved recipe configuration to its own json file, ReepusDeepusDelmeepus4902761.ChaosArmor.recipes.json
- max quality of each tier of Chaos Armor made configurable through ReepusDeepusDelmeepus4902761.ChaosArmor.cfg
- reduced default max quality of tier 3 Chaos Armor to 7, since it is currently impossible to get to forge level 8
- bundled cfg file with this release to replace the old one and its outdated fields

5.0.2
- removed jump/run stamina use modifiers on chest entirely as they did not seem to be working as intended

5.0.1
- changed eye color of T1 and T2 helmets on a suggestion
  - T1 has blue eyes
  - T2 has green eyes
  - Final tier retains original red eyes
- fixed issue in high res textures where they were accidentally left with no filter

5.0.0
- added two lower tiers of stripped-down armor, beginning at bronze
- new crafting recipes requires beginning with the bronze tier armor and reforging it up to the final tier
- final tier upgrade/craft recipes adjusted slightly, but existing crafted sets from previous versions will remain at their quality level

4.0.2
- not an actual update, just adding a very important note about copyright in the description and readme
- actual file contents are the same as 4.0.1, the .dll version is also still 4.0.1 for network compatibility purposes

4.0.1
- added cold resist to chestpiece
- rebuilt assembly from new project yet again
- low res texture version available on Nexus, just overwrite ChaosArmor.dll with the .dll provided in that optional file; texture replacement should be client-side and the rest of the code is up-to-date with main file

4.0.0
- added frost resist to chestpiece
- added new config options
- rebuilt dll from new project, praying to god this stamps out any assembly loading issues; will retain loose assetbundle version on Nexus for some time in case not
- low res texture version available on Nexus, just overwrite ChaosArmor.dll with the .dll provided in that optional file; texture replacement should be client-side and the rest of the code is up-to-date with main file

3.0.2
- changed AssemblyTitle of compiled assembly, was using non-unique name previously

3.0.1
- changed to GetExecutingAssembly in code for loading assetbundle
- fixed minor bug from last version where status effects on chest and legs were not applying

3.0.0
- bumped major version for stricter compatibility enforcement (should've done so last update already tbh)
- changed code class name to hopefully fix assembly loading issues
- added icons for status effects

2.2.4
- added configuration file allowing for adjustment of crafting/upgrade amounts

2.2.3
- added rigging for fingers; still a little rough around the edges, but seems fine in most cases

2.2.2
- added normal and metallic maps for models
- small tweaks to recipe requirements
- made the eyes of helmet faintly emissive
- changed casing on in-game item names to be consistent with vanilla item names
- made some very minor rigging tweaks to the neck parts of model

2.2.1
- fixed bug where equipping chest piece would wipe out player model textures (face, skin, eyes etc.)

2.2.0
- adjusted recipe/upgrade amounts to be more varied
- small mesh adjustments:
  - covered up a small gap between the right arm and breastplate with filler material
  - positioned helmet further forward to closer match player character posture (no longer clips with head in character select screen)
- bunch of cool changes courtesy of zarboz
  - mesh rigging of body matches player posture much better now - unfortunately not enough to prevent clipping, hence Blacksmith's tools remains a requirements
  - on-equip status effects with a special cheesy message for each armor piece, see Gear Stats Breakdown for more details

2.0.1:
- assetbundle now in .dll as an embedded resource, should work when running from mod managers now